document.onkeydown = keydown;

const pageRegex = /page=(\d+)/;

function keydown(evt) {
    if (!evt)
        return;
    if (evt.ctrlKey && evt.altKey && evt.keyCode == 70) { // C-f
        search = document.getElementById("s");
        search.focus()
    }
}

function goTo(url) {
    window.location.href=url;
}

function doMap(breadcrumbs) {
    breadcrumbs = breadcrumbs.replaceAll("'", '"');
    var bc = JSON.parse(breadcrumbs);
    var event_url = bc.at(-1)['link'];
    var parts = event_url.split('/');
     url = '/galeria/admin/map?year=' + parts[2] +
        '&month=' + parts[3] + '&event=' + parts[4];
    goTo(url);
}

function changePage(path) {
    var select = document.getElementById("page-select");
    var page = select.options[select.selectedIndex].value;
    var newStr = 'page=' + page;
    url = path.replace(pageRegex, newStr);
    if (!path.includes('?')) {
        url = url + '?' + newStr;
    } else if (!path.includes('page=')) {
        url = url + '&' + newStr;
    }
    window.location.href = url;
}

function highlight(breadcrumbs) {
    breadcrumbs = breadcrumbs.replaceAll("'", '"');
    var bc = JSON.parse(breadcrumbs);
    var leaf = bc.at(-1);
    var link = leaf['link'].replaceAll('/galeria/', '/galeria/admin/highlight/');
    goTo(link);
}

/* When the user clicks on the menu Administration,
   toggle between hiding and showing the dropdown content */
function adminDropdown() {
    document.getElementById("admin-dropdown").classList.toggle("show");
}

// Close the dropdown if the user clicks outside of it
window.onclick = function(event) {
    if (!event.target.matches('.drop-button')) {
        var dropdowns = document.getElementsByClassName("dropdown-content");
        var i;
        for (i = 0; i < dropdowns.length; i++) {
            var openDropdown = dropdowns[i];
            if (openDropdown.classList.contains('show')) {
                openDropdown.classList.remove('show');
            }
        }
    }
}
